Bug 496004 - Monodebugger does not work when mono is build --disable-static
Monodebugger does not work when mono is build --disable-static
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono-debugger (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 18:12 EDT by Toshio Ernie Kuratomi
Modified: 2010-06-28 07:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:50:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2009-04-15 18:12:18 EDT
Description of problem:
This is currently fixed as mono in rawhide is linked statically to libmono.  Filing this bug as a reminder to keep this fixed when we change to linking dynamically.

monodebugger work when /usr/bin/mono is linked to libmono statically but not when linked dynamically.

http://lists.ximian.com/pipermail/mono-devel-list/2009-April/031762.html
http://bugs.gentoo.org/show_bug.cgi?id=256264

The gentoo bug states that mono-debugger is apparently looking for symbols inside the /usr/bin/mono binary and not finding them.  A quick look at the source code didn't show what's doing the looking but I'm not a C# developer so I'm not the best one to take a look.
Comment 1 Toshio Ernie Kuratomi 2009-05-27 02:37:26 EDT
Looks like Martin Baulig will have a fix for this soon:

http://lists.ximian.com/pipermail/mono-devel-list/2009-May/032275.html
Comment 2 Bug Zapper 2009-06-09 09:53:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul F. Johnson 2009-06-22 18:40:10 EDT
I'll give it a spin and see what happens with mdebugger in rawhide for 2.4.2 RC1
Comment 4 Toshio Ernie Kuratomi 2009-06-22 22:25:03 EDT
Remember that you'll have to turn on dynamic linking at the same time.  It will succeed if it's statically linked to libmono.  It was failing when dynamically linked to libmono.
Comment 5 Paul F. Johnson 2009-06-29 19:25:40 EDT
mdebugger compiled fine for 2.4.2 and is happily in rawhide. Closing the bug
Comment 6 Toshio Ernie Kuratomi 2009-06-30 00:51:05 EDT
You do know that the mono in rawhide is not compiled with static linking turned off, right?  So the test you ran is not valid?
Comment 7 Toshio Ernie Kuratomi 2009-07-01 17:24:56 EDT
Just checked building mono with --disable-static.  That didn't work so this cannot be checked yet.
Comment 8 Bug Zapper 2010-04-27 09:41:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:50:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.